%define libxml2_version 2.4.12
%define orbit2_version 2.8.0    
%define glib2_version 2.2.0

Summary: A process-transparent configuration system
Name: GConf2
Version: 2.8.1
Release: 1.el4
License: LGPL
Group: System Environment/Base
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/GConf/GConf-%{version}.tar.bz2
BuildRoot: %{_tmppath}/GConf2-%{version}-root
URL: http://www.gnome.org
Prereq: /sbin/install-info
Requires: ORBit2 >= %{orbit2_version}

BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: ORBit2-devel >= %{orbit2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel
BuildRequires: gtk-doc >= 0.9
BuildRequires: pkgconfig >= 0.14
BuildRequires: gettext

Patch0: GConf-2.8.1-exclude-global-listener.patch

%description
GConf is a process-transparent configuration database API used to 
store user preferences. It has pluggable backends and features to 
support workgroup administration.

%package devel
Summary: Headers and libraries for GConf development
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: ORBit2-devel >= %{orbit2_version}
Requires: glib2-devel >= %{glib2_version}

%description devel
GConf development package. Contains files needed for doing
development using GConf.

%prep
%setup -q -n GConf-%{version}
%patch0 -p1 -b .exclude-global-listener

%build
%configure --disable-gtk-doc
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/gconf.xml.defaults
chmod 755 $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/gconf.xml.mandatory

rm -f $RPM_BUILD_ROOT/%{_libdir}/GConf/2/libgconfbackend-xml.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/GConf/2/libgconfbackend-oldxml.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/GConf/2/*.la

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gconf/2/path
%dir %{_sysconfdir}/gconf/2
%dir %{_sysconfdir}/gconf/gconf.xml.defaults
%dir %{_sysconfdir}/gconf/gconf.xml.mandatory
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*.so.*
%{_libdir}/GConf/2/*.so
%{_datadir}/sgml
%{_mandir}/man1/*
%dir %{_libdir}/GConf
%dir %{_libdir}/GConf/2

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/gconf
%{_datadir}/aclocal/*.m4
%{_datadir}/gtk-doc
%{_libdir}/pkgconfig/*

%changelog
* Tue Jul 24 2007 Ray Strode <rstrode@redhat.com> 2.8.1-1.el4
- exclude global listener from list of pending listeners
  when trying to determine whether to log out or not (bug
Resolves: #231139, #229211

* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.1-1
- Update to 2.8.1

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1
- Update to 2.8.0.1

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-1
- Update to 2.7.92

* Thu Aug 19 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91.1-1
- Update to 2.7.91.1

* Wed Aug 18 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Tue Aug  3 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90
- Add patch to disable merge files for now

* Fri Jul  2 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0-7
- Add patch to fix problem when using merged files. Mainly
  neccessary only to work will with GConf 2.8.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 16 2004 Colin Walters <walters@redhat.com> - 2.6.0-5
- Apply patch to move temporary directory creation into daemon,
  needed for SELinux GConf policy

* Wed Apr 14 2004 Warren Togami <wtogami@redhat.com> - 2.6.0-4
- #110724 BR gtk2-devel gettext
- #106283 add versioned ORBit2 minimum
- #112863 own /etc/gconf/2/
- really kill *.la

* Mon Apr  5 2004 Mark McLoughlin <markmc@redhat.com> - 2.6.0-3
- Remove the dont-dump-schema-default patch

* Thu Apr  1 2004 Mark McLoughlin <markmc@redhat.com> - 2.6.0-2
- Backport some fixes from HEAD for lockdown/deployment type stuff 

* Tue Mar 23 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 24 2004 Mark McLoughlin <markmc@redhat.com> 2.5.90-1
- Update to 2.5.90

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 16 2004 Jonathan Blandford <jrb@redhat.com> 2.5.1-1
- new version

* Tue Sep  9 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- 2.4.0

* Thu Aug  7 2003 Jonathan Blandford <jrb@redhat.com>
- begin the move to GNOME-2.4
- locking patch appears to be upstream.  Removing.

* Tue Aug  5 2003 Elliot Lee <sopwith@redhat.com> 2.2.1-3
- Fix libtool

* Mon Jul 14 2003 Havoc Pennington <hp@redhat.com>
- automated rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.2.1-1
- upgrade to 2.2.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr  8 2003 Matt Wilson <msw@redhat.com> 2.2.0-2
- use system libtool (#88338)

* Tue Feb  4 2003 Havoc Pennington <hp@redhat.com> 2.2.0-1
- 2.2.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 12 2003 Havoc Pennington <hp@redhat.com>
- 2.1.90

* Fri Jan 10 2003 Havoc Pennington <hp@redhat.com>
- rebuild as libc seems to have changed or something

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- rebuild
- standardize spec file name

* Fri Aug 30 2002 Havoc Pennington <hp@redhat.com>
- add GCONF_LOCAL_LOCKS mode, and syslog encoding patch from tagoh

* Wed Aug 21 2002 Havoc Pennington <hp@redhat.com>
- add dialog to offer to delete gconf locks

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 1.2.1
- include libexecdir stuff

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- move .pc fle to -devel package

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- fix warning on gnome-panel install

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.2.0
- own libdir/GConf/2 directory
- include gtk-doc docs
- don't include static lib for backend modules

* Thu Jun 06 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 1.1.11
- remove AUTHORS for rpmlint

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 1.1.10

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.1.9

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.1.8
- remove .la files

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.1.6
- Rebuild for dependencies

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan  4 2002 Havoc Pennington <hp@redhat.com>
- 1.1.5.93 snap with important bugfix so gconf actually works

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- 1.1.5.92 snap with GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

* Thu Jan  3 2002 Havoc Pennington <hp@redhat.com>
- 1.1.5.91 snap with gconf.m4 fix for libgnome

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- since every other build seems to avoid libglib-1.3.so.11, 
  rebuild and hope

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- cvs snap 1.1.5.90

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- GConf 1.1.5, glib 1.3.11

* Sat Oct 27 2001 Havoc Pennington <hp@redhat.com>
- rebuild for glib 1.3.10

* Sun Oct 14 2001 Havoc Pennington <hp@redhat.com>
- 1.1.3

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- cvs snap, remove bonobo-activation deps

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- update to new CVS snap, rebuild

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- create gconf2 rpm based on gconf1, comment out pofiles 
- include .pc files

* Fri Sep 14 2001 Havoc Pennington <hp@redhat.com>
- fix description/summary

* Fri Aug 31 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Wed Aug 15 2001 Havoc Pennington <hp@redhat.com>
- upgrade to 1.0.4 release I just made
- fixes #51223, syslog spew

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- move gconf-config to devel RPM

* Mon Jul 23 2001 Havoc Pennington <hp@redhat.com>
- how many releases of GConf can I make before it works?

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 1.0.2 (which contains only bugfixes that 
  I reviewed and/or wrote myself)

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- create the /etc/gconf/gconf.xml.defaults directory 

* Fri Jul  6 2001 Alexander Larsson <alexl@redhat.com>
- Install the .la files in the devel package.

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use %%{_tmppath}
- Move the .so files to the devel subpackage
- langify
- Move changelog to the end, where it should be :)
- Don't specify (a bad) doc directory
- Don't define name, version and release and use it in the rpm headers later
- Remove "Packager:"
- s/Copyright/License/

* Fri Jun 22 2001 Havoc Pennington <hp@redhat.com>
- add --direct option to gconftool to avoid spawning oafd,
  then commented out gconftool entirely since it checks
  whether gconfd is running and that spawns oafd anyhow.
  oafd simply needs to exit when unused.

* Tue May 15 2001 Havoc Pennington <hp@redhat.com>
- Fix post, pointed out by Bill

* Mon May 14 2001 Havoc Pennington <hp@redhat.com>
- Upgrade to 1.0.1

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- Import to Red Hat build system.

* Sun Jun 11 2000  Eskil Heyn Olsen <deity@eazel.com>

- Created the .spec file
